package com.zhyc.module.biosafety.mapper;

import java.util.List;
import com.zhyc.module.biosafety.domain.Diagnosis;
import org.apache.ibatis.annotations.Mapper;

/**
 * 诊疗结果Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
@Mapper
public interface DiagnosisMapper 
{
    /**
     * 查询诊疗结果
     * 
     * @param id 诊疗结果主键
     * @return 诊疗结果
     */
    public Diagnosis selectDiagnosisById(Long id);

    /**
     * 查询诊疗结果列表
     * 
     * @param diagnosis 诊疗结果
     * @return 诊疗结果集合
     */
    public List<Diagnosis> selectDiagnosisList(Diagnosis diagnosis);

    /**
     * 新增诊疗结果
     * 
     * @param diagnosis 诊疗结果
     * @return 结果
     */
    public int insertDiagnosis(Diagnosis diagnosis);

    /**
     * 修改诊疗结果
     * 
     * @param diagnosis 诊疗结果
     * @return 结果
     */
    public int updateDiagnosis(Diagnosis diagnosis);

    /**
     * 删除诊疗结果
     * 
     * @param id 诊疗结果主键
     * @return 结果
     */
    public int deleteDiagnosisById(Long id);

    /**
     * 批量删除诊疗结果
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDiagnosisByIds(Long[] ids);
}
